org.springframework.web.bind.annotation

## Annotation Type PathVariable

    @Target(value=PARAMETER)
    @Retention(value=RUNTIME)
    @Documented
    public @interface PathVariable

Annotation which indicates that a method parameter should be bound to a URI template variable. Supported for `RequestMapping` annotated handler methods in Servlet environments.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  `RequestMapping`, `RequestMappingHandlerAdapter`, `AnnotationMethodHandlerAdapter`

### Optional Element Summary

Optional Elements
`String` `value` The URI template variable to bind to.

### Element Detail

#### value

    public abstract String value

The URI template variable to bind to.

Default:
  ""